package org.dromara.system.service;

import org.dromara.system.domain.PositionCommunity;
import org.dromara.system.domain.vo.PositionCommunityVo;
import org.dromara.system.domain.bo.PositionCommunityBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author Lion Li
 * @date 2025-03-24
 */
public interface IPositionCommunityService {

    /**
     * 查询【请填写功能名称】
     */
    PositionCommunityVo queryById(String positionId);

    /**
     * 查询【请填写功能名称】列表
     */
    TableDataInfo<PositionCommunityVo> queryPageList(PositionCommunityBo bo, PageQuery pageQuery);

    /**
     * 查询【请填写功能名称】列表
     */
    List<PositionCommunityVo> queryList(PositionCommunityBo bo);

    /**
     * 新增【请填写功能名称】
     */
    Boolean insertByBo(PositionCommunityBo bo);

    /**
     * 修改【请填写功能名称】
     */
    Boolean updateByBo(PositionCommunityBo bo);

    /**
     * 校验并批量删除【请填写功能名称】信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    void batchDelete(List<String> list);
}
